node package manager
Don’t reinvent the wheel. Reuse code within your team. Create a free org »

babby

babby NPM version

A thin wrapper around Babel v6 to enable advanced plugins.

Not sure what that means? See here: https://github.com/babel/babylon/issues/22

Installation

Install the package with NPM:

$ npm install babby

Usage

To use Babby, simply substitute it in place of whichever Babel package you're currently using to transpile code (i.e. babel-cli, babel-register, etc.). Everything else should work, no further changes necessary.

For a full example, see here: https://github.com/lukehorvat/babby-example

Advanced Plugins

The following "advanced" Babel plugins are supported: